server:
  port: ${liquidnet.info.port}
  tomcat:
    uri-encoding: UTF-8
    maxThreads: 2000 #默认200
    minSpareThreads: 200 #默认10
    maxConnections: 20000 #默认10000
    acceptCount: 5000  #默认100
    processorCache: -1  #默认200
  servlet:
    context-path: ${liquidnet.info.context}
# -----------------------------------------------------------
knife4j:
  enable: true
  production: ${liquidnet.knife4j.disable}
  basic:
    enable: true
    username: ${liquidnet.security.username}
    password: ${liquidnet.security.password}
# -----------------------------------------------------------
logging:
#  config: ${liquidnet.logfile.config}
  file:
    name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}.log
    max-size: 200MB
    max-history: ${liquidnet.logfile.max-history}
  pattern:
    file: '%d{yyyy-MM-dd HH:mm:ss.SSS} [%level] %X{lnsTranceId} [%logger{56}:%line] - %msg%n'
    console: '%d{yyyy-MM-dd HH:mm:ss.SSS} [%level] %X{lnsTranceId} [%logger{56}:%line] - %msg%n'
    rolling-file-name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}-%d{yyyy-MM-dd}.%i.log
  level:
    root: error
    #以下是为指定包设置日志级别
    com.liquidnet.service.feign: error
    com.liquidnet: ${liquidnet.logfile.level}
# -----------------------------------------------------------
eureka:
#  client:
#    register-with-eureka: true
#    fetch-registry: true
#    serviceUrl:
#      defaultZone: http://${liquidnet.security.username}:${liquidnet.security.password}@${liquidnet.eureka.host}/eureka-server/eureka
  instance:
    hostname: ${spring.cloud.client.ip-address}
    lease-expiration-duration-in-seconds: 15 #服务过期时间配置,超过这个时间没有接收到心跳EurekaServer就会将这个实例剔除
    lease-renewal-interval-in-seconds: 5 #服务刷新时间配置，每隔这个时间会主动心跳一次
    prefer-ip-address: true
    instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${spring.application.instance_id:${server.port}}
# -----------------------------------------------------------
#actuator/info
info:
  app:
    name: ${liquidnet.info.name}
  company:
    name: zhengzai.tv
  build:
    groupId: '@project.groupId@'
    artifactId: '@project.artifactId@'
    version: '@project.version@'
# -----------------------------------------------------------
#mybatis-plus:
#  mapper-locations: classpath*:com.liquidnet.service.*.mapper/*Mapper.xml
# -----------------------------------------------------------
spring:
  application:
    name: ${liquidnet.info.name}
  servlet:
    multipart:
      max-file-size: 5MB
      max-request-size: 10MB
  profiles:
    include: common-service #这里加载management相关公共配置
  autoconfigure:
    exclude:
      - org.springframework.cloud.bus.BusAutoConfiguration
      - org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration
  redis:
    queue:
      database: ${liquidnet.redis.queue.database}
      port: ${liquidnet.redis.queue.port}
      host: ${liquidnet.redis.queue.host}
      password: ${liquidnet.redis.queue.password}
      lettuce:
        pool:
          max-active: 8
          max-wait: -1
          max-idle: 8
          min-idle: 0
    database: 15
    dbs: ${liquidnet.redis.kylin.dbs}
    port: ${liquidnet.redis.kylin.port}
    host: ${liquidnet.redis.kylin.host}
    password: ${liquidnet.redis.kylin.password}
    lettuce:
      pool:
        max-active: 16
        max-wait: -1
        max-idle: 8
        min-idle: 4
  data:
    mongodb:
      uri: mongodb://${liquidnet.mongodb.user}:${liquidnet.mongodb.pwd}@${liquidnet.mongodb.host}/?authSource=admin&maxPoolSize=200&waitQueueMultiple=100
      sslEnabled: ${liquidnet.mongodb.sslEnabled}
      database: ${liquidnet.mongodb.database}
# -----------------------------------------------------------

# -----------------------------------------------------------
global-auth:
  exclude-url-pattern:
    - ${liquidnet.info.context}/doc.html
    - ${liquidnet.info.context}/webjars/**
    - ${liquidnet.info.context}/swagger-resources/**
    - ${liquidnet.info.context}/v2/api-docs*
    - ${liquidnet.info.context}/station/login
    - ${liquidnet.info.context}/station/login/sms
    #    -
    - ${liquidnet.info.context}/partner/buyNotice/**
    - ${liquidnet.info.context}/partner/checkUser/**
    - ${liquidnet.info.context}/partner/checkUser/performance/**
    - ${liquidnet.info.context}/partner/ticket/**
    - ${liquidnet.info.context}/partner/times/**
    - ${liquidnet.info.context}/partner/performance/**
    # banner
    - ${liquidnet.info.context}/banners/**
    - ${liquidnet.info.context}/pda/**
    - ${liquidnet.info.context}/order/checkOrderTime
    - ${liquidnet.info.context}/order/syncOrder
    # 退款回掉
    - ${liquidnet.info.context}/refund/callback
    # 演出
    - ${liquidnet.info.context}/performance/localList
    - ${liquidnet.info.context}/performance/noticeList
    - ${liquidnet.info.context}/performance/roadList/**
    - ${liquidnet.info.context}/performance/recommendList
    - ${liquidnet.info.context}/performance/exclusiveList
    - ${liquidnet.info.context}/performance/search
    - ${liquidnet.info.context}/performance/list
    - ${liquidnet.info.context}/performance/calendar
    - ${liquidnet.info.context}/performance/calendarPerformances
    - ${liquidnet.info.context}/performance/*
    - ${liquidnet.info.context}/myPerformance/*
    - ${liquidnet.info.context}/recommendActive/*
    # 场地摄像头列表
    - ${liquidnet.info.context}/camera/list
    - ${liquidnet.info.context}/inner/**
  oncheck-url-pattern:
    - ${liquidnet.info.context}/order/details
    - ${liquidnet.info.context}/order/transfer*
#    - ${liquidnet.info.context}/order/transfer
#    - ${liquidnet.info.context}/order/transferWithDraw
#    - ${liquidnet.info.context}/order/transferAccept
#    - ${liquidnet.info.context}/order/transferReject
#    - ${liquidnet.info.context}/order/transferBack
    - ${liquidnet.info.context}/order*/sendOrderRefunds
    - ${liquidnet.info.context}/order*/orderRefundWithdraw
#    - ${liquidnet.info.context}/order/sendOrderRefunds
#    - ${liquidnet.info.context}/order/orderRefundWithdraw
#    - ${liquidnet.info.context}/orderRefund/sendOrderRefunds
#    - ${liquidnet.info.context}/orderRefund/orderRefundWithdraw
#    - ${liquidnet.info.context}/station/out
# -----------------------------------------------------------

# -----------------------------------------------------------